# Analytics event funnel

`POST /analytics/events/funnel` · Rivier · analytics

How many people did each step in order, each within the window from their first step.

- Scope: analytics:read
- Mcp: rivier_analytics_funnel
- Graphql: Query.analyticsEventFunnel
- Sdk: analytics.event.funnel
- Cli: analytics event funnel

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "steps": {
      "type": "array",
      "items": {
        "type": "string",
        "pattern": "^[A-Za-z][A-Za-z0-9_.:-]{0,59}$"
      },
      "minItems": 2,
      "maxItems": 8
    },
    "windowHours": {
      "type": "integer",
      "minimum": 1,
      "maximum": 720,
      "default": 24
    },
    "from": {
      "type": "string",
      "format": "date-time"
    },
    "to": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "steps",
    "from",
    "to"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/analytics/events/funnel' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "steps": [
    "string"
  ],
  "from": "2026-01-01T00:00:00Z",
  "to": "2026-01-01T00:00:00Z"
}'
```
